=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2007-04-13 05:06:23 +0000
+++ bzrlib/errors.py	2007-04-20 00:14:15 +0000
@@ -223,6 +223,16 @@
     def __init__(self, revision_id):
         self.revision_id = revision_id
 
+
+class NoHelpTopic(BzrError):
+
+    _fmt = ("No help could be found for '%(topic)s'. "
+        "Please use 'bzr help topics' to obtain a list of topics.")
+
+    def __init__(self, topic):
+        self.topic = topic
+
+
 class NoSuchId(BzrError):
 
     _fmt = "The file id %(file_id)s is not present in the tree %(tree)s."

=== modified file 'bzrlib/tests/test_errors.py'
--- bzrlib/tests/test_errors.py	2007-04-10 14:12:35 +0000
+++ bzrlib/tests/test_errors.py	2007-04-20 00:14:15 +0000
@@ -91,6 +91,12 @@
             "smart protocol.",
             str(error))
 
+    def test_no_help_topic(self):
+        error = errors.NoHelpTopic("topic")
+        self.assertEqualDiff("No help could be found for 'topic'. "
+            "Please use 'bzr help topics' to obtain a list of topics.",
+            str(error))
+
     def test_no_such_id(self):
         error = errors.NoSuchId("atree", "anid")
         self.assertEqualDiff("The file id anid is not present in the tree "

